Core - Bug # 55371

Status: Resolved Priority: Must have
Author: Frans Saris Category: File Abstraction Layer (FAL)
Created: 2014-01-27 Assigned To: Frans Saris
Updated: 2014-01-31 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: medium

Is Regression: No

Sprint Focus:

Subject: Ajax handler TYPOS_tcefile::process is broken

Description

Multiple changes in \TYPO3\CMS\Core\Utility\File\ExtendedFileUtility broke the TYPO3_tcefile ajax handler.

printLogErrorMessages() is deprecated in favour of getErrorMessages() but still used.

The return value of getErrorMessages() removed and this breaks the ajax processing.

Related issues:
related to Core - Feature # 44288: Add delete-button in filelist module Resolved
related to Core - Bug # 56084: t3editor is not usable any more Resolved

2013-01-03
2014-02-18

Associated revisions

Revision 5¢f92725 - 2014-01-31 14:30 - Frans Saris

[BUGFIX] Ajax handler TYPOS_tcefile::process is broken

Several changes in core broke the ajax upload handler response.
There is no error response and it tries to json_encode complete
File objects.

This changes reverts some of the "cleanup” changes fixes the
response and makes sure only the error message from current

request are used.

Resolves: #55371

Releases: 6.2, 6.1

Change-Id: 1a09f5ffd5e002b1ba50d4fafa747340462d15148
Reviewed-on: https://review.typo3.org/27080

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History

#1 - 2014-01-27 21:48 - Gerrit Code Review
- Status changed from New to Under Review

2015-08-04

1/2



https://review.typo3.org/27080

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27080

#2 - 2014-01-30 15:26 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27080

#3 - 2014-01-30 18:46 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27080

#4 - 2014-01-31 10:54 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27080

#5 - 2014-01-31 11:49 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27080

#6 - 2014-01-31 15:30 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5cf92725cebc7ce544351e59861bb113db9bc1b1.

2015-08-04
